Moves the portupgrade section to below portmaster.  The patch to follow
will include a note to show that portupgrade is deprecated.


Index: ports/chapter.sgml
===================================================================
RCS file: /home/dcvs/doc/en_US.ISO8859-1/books/handbook/ports/chapter.sgml,v
retrieving revision 1.297
diff -u -r1.297 chapter.sgml
--- ports/chapter.sgml	20 Feb 2012 19:09:35 -0000	1.297
+++ ports/chapter.sgml	12 Apr 2012 08:08:39 -0000
@@ -1182,60 +1182,6 @@
 	  read here, <filename>UPDATING</filename> takes precedence.</para>
       </sect3>
 
-      <sect3 id="portupgrade">
-	<title>Upgrading Ports Using Portupgrade</title>
-
-	<indexterm>
-	  <primary>portupgrade</primary>
-	</indexterm>
-
-      <para>The <application>portupgrade</application> utility is designed
-	to easily upgrade installed ports.  It is available from the <filename
-	role="package">ports-mgmt/portupgrade</filename> port.  Install it like
-	any other port, using the <command>make <maketarget>install
-	clean</maketarget></command> command:</para>
-
-      <screen>&prompt.root; <userinput>cd /usr/ports/ports-mgmt/portupgrade</userinput>
-&prompt.root; <userinput>make install clean</userinput></screen>
-
-      <para>Scan the list of installed ports with the <command>pkgdb
-	-F</command> command and fix all the inconsistencies it reports.  It is
-	a good idea to do this regularly, before every upgrade.</para>
-
-      <para>When you run <command>portupgrade -a</command>,
-	<application>portupgrade</application> will begin to upgrade all the
-	outdated ports installed on your system.  Use the <option>-i</option>
-	flag if you want to be asked for confirmation of every individual
-	upgrade.</para>
-
-      <screen>&prompt.root; <userinput>portupgrade -ai</userinput></screen>
-
-      <para>If you want to upgrade only a
-	certain application, not all available ports, use <command>portupgrade
-	<replaceable>pkgname</replaceable></command>.  Include the
-	<option>-R</option> flag if <application>portupgrade</application>
-	should first upgrade all the ports required by the given
-	application.</para>
-
-      <screen>&prompt.root; <userinput>portupgrade -R firefox</userinput></screen>
-
-      <para>To use packages instead of ports for installation, provide
-	<option>-P</option> flag.  With this option
-	<application>portupgrade</application> searches
-	the local directories listed in <envar>PKG_PATH</envar>, or
-	fetches packages from remote site if it is not found locally.
-	If packages can not be found locally or fetched remotely,
-	<application>portupgrade</application> will use ports.
-	To avoid using ports, specify <option>-PP</option>.</para>
-
-      <screen>&prompt.root; <userinput>portupgrade -PP gnome2</userinput></screen>
-
-      <para>To just fetch distfiles (or packages, if
-	<option>-P</option> is specified) without building or
-	installing anything, use <option>-F</option>.
-	For further information see &man.portupgrade.1;.</para>
-      </sect3>
-
       <sect3 id="portmanager">
 	<title>Upgrading Ports Using Portmanager</title>
 
@@ -1369,6 +1315,60 @@
 
 	<para>Please see &man.portmaster.8; for more information.</para>
       </sect3>
+
+      <sect3 id="portupgrade">
+	<title>Upgrading Ports Using Portupgrade</title>
+
+	<indexterm>
+	  <primary>portupgrade</primary>
+	</indexterm>
+
+      <para>The <application>portupgrade</application> utility is designed
+	to easily upgrade installed ports.  It is available from the <filename
+	role="package">ports-mgmt/portupgrade</filename> port.  Install it like
+	any other port, using the <command>make <maketarget>install
+	clean</maketarget></command> command:</para>
+
+      <screen>&prompt.root; <userinput>cd /usr/ports/ports-mgmt/portupgrade</userinput>
+&prompt.root; <userinput>make install clean</userinput></screen>
+
+      <para>Scan the list of installed ports with the <command>pkgdb
+	-F</command> command and fix all the inconsistencies it reports.  It is
+	a good idea to do this regularly, before every upgrade.</para>
+
+      <para>When you run <command>portupgrade -a</command>,
+	<application>portupgrade</application> will begin to upgrade all the
+	outdated ports installed on your system.  Use the <option>-i</option>
+	flag if you want to be asked for confirmation of every individual
+	upgrade.</para>
+
+      <screen>&prompt.root; <userinput>portupgrade -ai</userinput></screen>
+
+      <para>If you want to upgrade only a
+	certain application, not all available ports, use <command>portupgrade
+	<replaceable>pkgname</replaceable></command>.  Include the
+	<option>-R</option> flag if <application>portupgrade</application>
+	should first upgrade all the ports required by the given
+	application.</para>
+
+      <screen>&prompt.root; <userinput>portupgrade -R firefox</userinput></screen>
+
+      <para>To use packages instead of ports for installation, provide
+	<option>-P</option> flag.  With this option
+	<application>portupgrade</application> searches
+	the local directories listed in <envar>PKG_PATH</envar>, or
+	fetches packages from remote site if it is not found locally.
+	If packages can not be found locally or fetched remotely,
+	<application>portupgrade</application> will use ports.
+	To avoid using ports, specify <option>-PP</option>.</para>
+
+      <screen>&prompt.root; <userinput>portupgrade -PP gnome2</userinput></screen>
+
+      <para>To just fetch distfiles (or packages, if
+	<option>-P</option> is specified) without building or
+	installing anything, use <option>-F</option>.
+	For further information see &man.portupgrade.1;.</para>
+      </sect3>
     </sect2>
 
     <sect2 id="ports-disk-space">