Index: MOVED
===================================================================
--- MOVED	(revision 310002)
+++ MOVED	(working copy)
@@ -4008,3 +4008,4 @@
 x11-themes/kde-icons-amaranth||2013-01-06|Has expired: BROKEN for more than 6 month
 x11-themes/kde-icons-realistic||2013-01-06|Has expired: BROKEN for more than 6 month
 x11/Terminal|x11/xfce4-terminal|2013-01-06|Project was renamed
+textproc/p5-ack|textproc/ack|2013-01-06|Not just a perl module
Index: editors/p5-Padre/Makefile
===================================================================
--- editors/p5-Padre/Makefile	(revision 310002)
+++ editors/p5-Padre/Makefile	(working copy)
@@ -11,7 +11,7 @@
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	Perl Application Development and Refactoring Environment
 
-BUILD_DEPENDS=	p5-ack>=1.86:${PORTSDIR}/textproc/p5-ack \
+BUILD_DEPENDS=	ack:${PORTSDIR}/textproc/ack \
 		p5-Class-Adapter>=1.05:${PORTSDIR}/devel/p5-Class-Adapter \
 		p5-Class-Unload>=0.03:${PORTSDIR}/devel/p5-Class-Unload \
 		p5-Devel-Dumpvar>=0.04:${PORTSDIR}/devel/p5-Devel-Dumpvar \
Index: japanese/ack/Makefile
===================================================================
--- japanese/ack/Makefile	(revision 310002)
+++ japanese/ack/Makefile	(working copy)
@@ -12,7 +12,7 @@
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	Kanji code converter
 
-CONFLICTS_INSTALL=	p5-ack-[0-9]*
+CONFLICTS_INSTALL=	p5-ack-[0-9]* ack-[0-9]*
 
 ALL_TARGET=	ack
 
Index: textproc/Makefile
===================================================================
--- textproc/Makefile	(revision 310002)
+++ textproc/Makefile	(working copy)
@@ -8,6 +8,7 @@
     SUBDIR += R-cran-XML
     SUBDIR += R-cran-stringr
     SUBDIR += R-cran-xtable
+    SUBDIR += ack
     SUBDIR += add-css-links
     SUBDIR += af-aspell
     SUBDIR += aft
@@ -1025,7 +1026,6 @@
     SUBDIR += p5-YAPE-HTML
     SUBDIR += p5-YAPE-Regex
     SUBDIR += p5-YAPE-Regex-Explain
-    SUBDIR += p5-ack
     SUBDIR += p5-dTemplate
     SUBDIR += p5-libsoldout
     SUBDIR += p5-libxml
Index: textproc/ack/Makefile
===================================================================
--- textproc/ack/Makefile	(working copy)
+++ textproc/ack/Makefile	(working copy)
@@ -7,7 +7,6 @@
 CATEGORIES=	textproc perl5 sysutils
 MASTER_SITES=	CPAN
 MASTER_SITE_SUBDIR=	App
-PKGNAMEPREFIX=	p5-
 
 MAINTAINER=	perl@FreeBSD.org
 COMMENT=	A grep-like text finder for large trees of text
Index: textproc/p5-ack/Makefile
===================================================================
--- textproc/p5-ack/Makefile	(revision 310002)
+++ textproc/p5-ack/Makefile	(working copy)
@@ -1,39 +0,0 @@
-# Created by: chinsan <chinsan.tw@gmail.com>
-# $FreeBSD$
-
-PORTNAME=	ack
-PORTVERSION=	1.96
-PORTREVISION=	1
-CATEGORIES=	textproc perl5 sysutils
-MASTER_SITES=	CPAN
-MASTER_SITE_SUBDIR=	App
-PKGNAMEPREFIX=	p5-
-
-MAINTAINER=	perl@FreeBSD.org
-COMMENT=	A grep-like text finder for large trees of text
-
-BUILD_DEPENDS=	p5-File-Next>=0.40:${PORTSDIR}/sysutils/p5-File-Next
-RUN_DEPENDS:=	${BUILD_DEPENDS}
-
-PERL_CONFIGURE=	yes
-
-CONFLICTS_INSTALL=	ja-ack-[0-9]*
-
-MAN1=		ack.1
-
-OPTIONS_DEFINE=	BASH_COMPLETE
-BASH_COMPLETE_DESC=	install bash completion files
-
-.include <bsd.port.options.mk>
-
-COMPLETION_DIR=		${PREFIX}/etc/bash_completion.d
-.if ${PORT_OPTIONS:MBASH_COMPLETE}
-RUN_DEPENDS+=	${COMPLETION_DIR}:${PORTSDIR}/shells/bash-completion
-PLIST_SUB+=		BASH=""
-post-install:
-	${INSTALL_DATA} ${WRKSRC}/etc/ack.bash_completion.sh ${COMPLETION_DIR}
-.else
-PLIST_SUB+=		BASH="@comment "
-.endif
-
-.include <bsd.port.mk>
Index: textproc/p5-ack/distinfo
===================================================================
--- textproc/p5-ack/distinfo	(revision 310002)
+++ textproc/p5-ack/distinfo	(working copy)
@@ -1,2 +0,0 @@
-SHA256 (ack-1.96.tar.gz) = bb9d29842d8c5c1ec7ad9b577707aca0e1d278e8e21560dbed76ea3b5aa6cb64
-SIZE (ack-1.96.tar.gz) = 111986
Index: textproc/p5-ack/pkg-descr
===================================================================
--- textproc/p5-ack/pkg-descr	(revision 310002)
+++ textproc/p5-ack/pkg-descr	(working copy)
@@ -1,13 +0,0 @@
-ack is a grep-like program with optimizations for searching through large
-trees of source code.
-
-Key improvements include:
-
-    * Defaults to only searching program source code
-    * Defaults to recursively searching directories
-    * Ignores blib directories.
-    * Ignores source code control directories, like CVS, .svn and _darcs.
-    * Uses Perl regular expressions
-    * Highlights matched text
-
-WWW: http://search.cpan.org/dist/ack/
Index: textproc/p5-ack/pkg-plist
===================================================================
--- textproc/p5-ack/pkg-plist	(revision 310002)
+++ textproc/p5-ack/pkg-plist	(working copy)
@@ -1,12 +0,0 @@
-bin/ack
-%%BASH%%etc/bash_completion.d/ack.bash_completion.sh
-%%SITE_PERL%%/App/Ack.pm
-%%SITE_PERL%%/App/Ack/Plugin/Basic.pm
-%%SITE_PERL%%/App/Ack/Plugin.pm
-%%SITE_PERL%%/App/Ack/Repository.pm
-%%SITE_PERL%%/App/Ack/Resource.pm
-%%SITE_PERL%%/%%PERL_ARCH%%/auto/ack/.packlist
-@dirrmtry %%SITE_PERL%%/%%PERL_ARCH%%/auto/ack
-@dirrmtry %%SITE_PERL%%/App/Ack/Plugin
-@dirrmtry %%SITE_PERL%%/App/Ack
-@dirrmtry %%SITE_PERL%%/App