Index: Makefile
===================================================================
RCS file: /home/pcvs/ports/multimedia/qmmp/Makefile,v
retrieving revision 1.4
diff -u -r1.4 Makefile
--- Makefile	18 Jan 2012 17:36:27 -0000	1.4
+++ Makefile	7 Feb 2012 17:54:33 -0000
@@ -2,12 +2,11 @@
 # Date created:		Fri Jan 30 01:13:20 JST 2009
 # Whom:      SimaMoto,RyoTa <liangtai.s4@gmail.com>
 #
-# $FreeBSD: ports/multimedia/qmmp/Makefile,v 1.4 2012/01/18 17:36:27 arved Exp $
+# $FreeBSD$
 #
 
 PORTNAME=	qmmp
-PORTVERSION=	0.5.2
-PORTREVISION=	1
+PORTVERSION=	0.5.3
 CATEGORIES=	multimedia
 MASTER_SITES=	http://qmmp.ylsoftware.com/files/ \
 		${MASTER_SITE_GOOGLE_CODE}
@@ -31,7 +30,7 @@
 		OSS	"Support the OSS output" on \
 		OSS4	"Support the OSS4 output" off \
 		JACK	"Support the JACK output" on \
-		NULLOUT "Support a null output" on \
+		NULLOUT	"Support a null output" on \
 		FLAC	"Support to playback FLAC files" on \
 		MUSEPACK	"Support to playback MPC files" on \
 		FFMPEG	"Support to playback FFMPEG files" on \
@@ -40,13 +39,13 @@
 		GME	"Support video game music files" on \
 		MAD	"Support to playback MAD files" on \
 		VORBIS	"Support to playback Vorbis/OGG files" on \
-		SNDFILE "Support to playback Sndfile files" on \
-		WAVPACK "Support to playback WAVPack files" on \
+		SNDFILE	"Support to playback Sndfile files" on \
+		WAVPACK	"Support to playback WAVPack files" on \
 		CUE	"Support to CUE sheets" on \
 		CDIO	"Support to playback compact discs" on \
 		FAAD	"Support to playback through FAAD decoder" on \
 		LADSPA	"Support the LADSPA effect" on \
-		CROSSFADE "Support cross-fade effect" on \
+		CROSSFADE	"Support cross-fade effect" on \
 		BS2B	"Support the Bauer stereophonic2binaural effect" on \
 		STEREO	"Support stereo effect" on \
 		SRCONV 	"Support the sample rate converter" on \
@@ -65,7 +64,7 @@
 		FILEOPS	"Support file operation" on \
 		COVER	"Support to show cover images" on \
 		KDENOTIFY	"Support to popup notifier for KDE" on \
-		HAL "Support removable disc detection using HAL" on \
+		HAL	"Support removable disc detection using HAL" on \
 		UDISKS	"Support removable disc detection using UDisks" on \
 		QMMP_DIALOG	"An original dialog" on
 
@@ -149,8 +148,12 @@
 
 .ifndef(WITHOUT_FFMPEG)
 PLIST_SUB+=	FFMPEG=""
-LIB_DEPENDS+=	avcodec.1:${PORTSDIR}/multimedia/ffmpeg
 PLUGIN_OPTIONS_CMAKE+=	-DUSE_FFMPEG:BOOL=TRUE
+. if exists(${LOCALBASE}/include/libavcodec/vda.h)
+LIB_DEPENDS+=	avcodec.1:${PORTSDIR}/multimedia/ffmpeg-devel
+. else
+LIB_DEPENDS+=	avcodec.1:${PORTSDIR}/multimedia/ffmpeg
+. endif
 .else
 PLIST_SUB+=	FFMPEG="@comment "
 PLUGIN_OPTIONS_CMAKE+=	-DUSE_FFMPEG:BOOL=FALSE
@@ -238,7 +241,7 @@
 
 .ifndef(WITHOUT_WILDMIDI)
 PLIST_SUB+=	WILDMIDI=""
-LIB_DEPENDS+=	WildMidi.1:${PORTSDIR}/audio/wildmidi
+LIB_DEPENDS+=	WildMidi.2:${PORTSDIR}/audio/wildmidi
 PLUGIN_OPTIONS_CMAKE+=	-DUSE_MIDI:BOOL=TRUE
 .else
 PLIST_SUB+=	WILDMIDI="@comment "
@@ -488,9 +491,9 @@
 	cd ${WRKSRC}/doc/html/search && \
 		${INSTALL_MAN} *.html *.png *.css *.js ${DOCSDIR}/html/search ; \
 	${RM} -f ${WRKDIR}/PLIST.doc ; \
-	${FIND} ${DOCSDIR}/html -type f | ${SED} 's|${LOCALBASE}/||' \
+	${FIND} ${DOCSDIR}/html -type f | ${SED} 's|${PREFIX}/||' \
 		>> ${WRKDIR}/PLIST.doc ; \
-	${FIND} ${DOCSDIR}/html -type d | ${SED} 's|${LOCALBASE}/|@dirrm |' \
+	${FIND} ${DOCSDIR}/html -type d | ${SED} 's|${PREFIX}/|@dirrm |' \
 		| ${SORT} -r >> ${WRKDIR}/PLIST.doc ; \
 	cd ${WRKDIR} ; ${SED} -i -e '/PLIST.doc/ r PLIST.doc' ${TMPPLIST}
 .endif
Index: distinfo
===================================================================
RCS file: /home/pcvs/ports/multimedia/qmmp/distinfo,v
retrieving revision 1.2
diff -u -r1.2 distinfo
--- distinfo	30 Oct 2011 11:14:16 -0000	1.2
+++ distinfo	7 Feb 2012 17:54:33 -0000
@@ -1,2 +1,2 @@
-SHA256 (qmmp-0.5.2.tar.bz2) = 6391dec020d2a381d7f4b7890fae6c49eadf88b3c9aef571fe3c5e96140822ec
-SIZE (qmmp-0.5.2.tar.bz2) = 704517
+SHA256 (qmmp-0.5.3.tar.bz2) = 6f0842d1dce9a259584b79a9f1368547e23292cd291cbccd105dd10d8bea5d6d
+SIZE (qmmp-0.5.3.tar.bz2) = 707714
Index: pkg-descr
===================================================================
RCS file: /home/pcvs/ports/multimedia/qmmp/pkg-descr,v
retrieving revision 1.2
diff -u -r1.2 pkg-descr
--- pkg-descr	30 Oct 2011 11:14:16 -0000	1.2
+++ pkg-descr	7 Feb 2012 17:54:33 -0000
@@ -2,21 +2,21 @@
 Supported formats:
 	MPEG1 layer 2/3, Ogg Vorbis, Native FLAC, Ogg FLAC, Musepack, WavePack,
 	tracker modules (mod, s3m, it, xm, etc.), ADTS AAC, CD Audio, MIDI,
-	WMA-Monkey's Audio (and other formats provided by FFmpeg library),
-	PCM Wave (and other formats provided by libsndfile library), and
-	chiptune formats (AY, GBS, GYM, HES, KSS, NSF, NSFE, SAP, SPC, VGM, VGZ, VTX)
+	WMA-Monkey's Audio (and other formats provided by FFmpeg library), PCM
+	Wave (and other formats provided by libsndfile library), and Chiptune
+	formats (AY, GBS, GYM, HES, KSS, NSF, NSFE, SAP, SPC, VGM, VGZ, VTX)
 DSP effects:
 	Bauer Stereophonic-to-Binaural effect, sample rate conversion,
-    LADSPA effects, extra stereo effect, and crossfade effect
+	LADSPA effects, extra stereo effect, and crossfade effect
 Visual effects:
 	Spectrum Analyzer, and projectM audio visulaliser
 Output system support:
 	PulseAudio, OSS, OSS4, jack, and ALSA
 Other features:
-	10-band equalizer, Last.fm/Libre.fm scrobbler, MMS support, global hotkey,
+	10-band equalizer, Last.fm/Libre.fm scrobbler, global hotkey, MPRIS,
 	streaming (MP3, Vorbis, AAC, AAC+ via IceCast/ShoutCast), CDDB support,
-	removable device detection (via HAL or UDisks), MPRIS, cover art support,
-	multiple playlists, ReplayGain support, CUE sheet support,
+	removable device detection (via HAL or UDisks), cover art support,
+	multiple playlists, ReplayGain support, CUE sheet support, MMS support,
 	embedded CUE support (for FLAC and WavPack), MPRIS (1.0 and 2.0),
 	automatic charset detection for cue files and ShoutCast metadata,
 	video playback via Mplayer, lyrics (using lyrics.wikia.com), and
Index: pkg-plist
===================================================================
RCS file: /home/pcvs/ports/multimedia/qmmp/pkg-plist,v
retrieving revision 1.2
diff -u -r1.2 pkg-plist
--- pkg-plist	30 Oct 2011 11:14:16 -0000	1.2
+++ pkg-plist	7 Feb 2012 17:54:33 -0000
@@ -43,10 +43,10 @@
 include/qmmpui/templateeditor.h
 lib/libqmmp.so
 lib/libqmmp.so.0
-lib/libqmmp.so.0.5.2
+lib/libqmmp.so.0.5.3
 lib/libqmmpui.so
 lib/libqmmpui.so.0
-lib/libqmmpui.so.0.5.2
+lib/libqmmpui.so.0.5.3
 lib/qmmp/CommandLineOptions/libincdecvolumeoption.so
 lib/qmmp/CommandLineOptions/libseekoption.so
 lib/qmmp/CommandLineOptions/libstatusoption.so